etp {sdpt3r} | R Documentation

## Educational Testing Problem

### Description

`etp` creates input for sqlp to solve the Educational Testing Problem - given a symmetric positive definite matrix S, how much can be subtracted from the diagonal elements of S such that the resulting matrix is positive semidefinite definite.

### Usage

    etp(B)

### Arguments

`B` | A symmetric positive definite matrix

### Details

Solves the education testing problem. Mathematical and implementation details can be found in the vignette

### Value

`X` | A list containing the solution matrix to the primal problem
`y` | A list containing the solution vector to the dual problem
`Z` | A list containing the solution matrix to the dual problem
`pobj` | The achieved value of the primary objective function
`dobj` | The achieved value of the dual objective function

### Examples

    data(Betp)

    out <- etp(Betp)

[Package sdpt3r version 0.3 Index]